Name:          libsearpc
Version:       3.1
Release:       2mamba
Summary:       A simple C language RPC framework based on GObject system
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/haiwen/libsearpc
## GITSOURCE https://github.com/haiwen/libsearpc.git v3.0.4
Source:        https://github.com/haiwen/libsearpc.git/v%{version}-latest/libsearpc-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libjansson-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Searpc is a simple C language RPC framework based on GObject system. Searpc handles the serialization/deserialization part of RPC, the transport part is left to users.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Development/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsearpc.so.*
%dir %{python_sitearch}/pysearpc
%{python_sitearch}/pysearpc/*
%doc AUTHORS LICENSE.txt

%files devel
%defattr(-,root,root)
%{_includedir}/searpc-*.h
%{_includedir}/searpc.h
%{_libdir}/libsearpc.a
%{_libdir}/libsearpc.la
%{_libdir}/libsearpc.so
%{_libdir}/pkgconfig/libsearpc.pc
%doc README.markdown

%files tools
%defattr(-,root,root)
%{_bindir}/searpc-codegen.py

%changelog
* Sun Sep 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-2mamba
- rebuild to update libtool static requirements

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-1mamba
- update to 3.1

* Fri Apr 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-1mamba
- update to 3.0.7

* Tue Aug 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1mamba
- package created using the webbuild interface
